{pkgs, ...}: {
  imports = [
    ./hardware-configuration.nix

    ../common/global
    ../common/users/julian
    ../common/users/wolfi

    ../common/optional/xserver.nix
    ../common/optional/remote-builder.nix
    ../common/optional/boot-efi.nix

    # ../common/optional/greetd.nix

    ../common/optional/gdm.nix
    ../common/optional/i3.nix

    ../common/optional/openssh.nix

    ../common/optional/authentication.nix
    ../common/optional/pcmanfm.nix
    ../common/optional/pipewire.nix

    ../common/optional/podman.nix
    ../common/optional/flatpak.nix
  ];

  networking.hostName = "kardorf";
  system.stateVersion = "22.11";

  # Not using the drivers leads to way better results
  # services.xserver.videoDrivers = [ "nvidia" ];

  programs.kdeconnect.enable = true;

  services.desktopManager.plasma6.enable = true;

  # Enable CUPS to print documents.
  services.printing.enable = true;
  services.printing.browsing = true;
  services.printing.drivers = with pkgs; [gutenprint];

  services.libinput.enable = true;
}
